### Constructor

# Clutter Text new_with_buffer

#### Declaration [src]

    ClutterActor*
    clutter_text_new_with_buffer (
      ClutterTextBuffer* buffer
    )

#### Description [src]

Creates a new entry with the specified text buffer.

#### Parameters

`buffer`

  Type: `ClutterTextBuffer`

  The buffer to use for the new `ClutterText`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClutterActor`

A new `ClutterText`.

The data is owned by the called function.